List Transactions
curl --request GET \
--url http://127.0.0.1:8083/api/transactions \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "http://127.0.0.1:8083/api/transactions"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('http://127.0.0.1:8083/api/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page_number": 123,
"page_size": 123,
"total": 123,
"items": [
{
"id": "tx_12345678",
"reference_id": "ref_98765432",
"type": "deposit",
"status": "success",
"sender_amount": 100,
"receiver_amount": 99.8,
"exchange_rate": 1.002,
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "Invalid organizationId",
"code": "ORG_ID_INVALID"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Transactions
List Transactions
Get list of transactions from a specified creation date/time, with optional filters on date range, transaction status (e.g., Pending, Completed, Failed), and currency pairs.
GET
/
api
/
transactions
List Transactions
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Query Parameters
Page Number
Page Size
⌘I

